Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1807 (new enhancement)

Opened 14 years ago

Last modified 14 years ago

Support for retry configuration

Reported by: nb@cogisys.fr Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

I have an error when setting the retry parameter. The error is the same on the two stations (Cisco Aironet PCI interface or Trend PCI interface). We used madwifi 0.9.4 and a mandriva 2008 with a 2.6.22.9 kernel.

Is it possible to set up the retry parameter with the Atheros AR5212/ AR5213 device? If yes, how to do?

Regards

Hereafter you can see the trace for the two stations

ROUTEUR_M station

[root@ROUTEUR_M vlan]# lspci -s 00:0d  -nn  -m -v
Device: 00:0d.0
Class:  Ethernet controller [0200]
Vendor: Atheros Communications, Inc. [168c]
Device: AR5212/AR5213 Multiprotocol MAC/baseband processor [0013]
SVendor:        AIRONET Wireless Communications [14b9]
SDevice:        Unknown device [cc21]
Rev:    01


[root@ROUTEUR_M vlan]# iwconfig -v
iwconfig  Wireless-Tools version 29
          Compatible with Wireless Extension v11 to v22.

Kernel    Currently compiled with Wireless Extension v22.

ath0      Recommend Wireless Extension v13 or later,
          Currently compiled with Wireless Extension v22.


[root@ROUTEUR_M vlan]# iwconfig ath0
ath0      IEEE 802.11g  ESSID:"vlanqos30"  Nickname:"ROUTEUR_M"
          Mode:Managed  Frequency:2.447 GHz  Access Point: 00:1C:B0:EA:4B:B0
          Bit Rate=54 Mb/s   Tx-Power=off   Sensitivity=1/1
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=41/70  Signal level=-52 dBm  Noise level=-93 dBm
          Rx invalid nwid:1732276  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


[root@ROUTEUR_M vlan]# iwconfig ath0 retry 10
Error for wireless request "Set Retry Limit" (8B28) :
    SET failed on device ath0 ; Operation not supported.

[root@ROUTEUR_M vlan]# iwconfig ath0 retry lifetime 50m
Error for wireless request "Set Retry Limit" (8B28) :
    invalid argument "50m".

[root@ROUTEUR_M vlan]# iwconfig ath0 retry min limit 5
Error for wireless request "Set Retry Limit" (8B28) :
    invalid argument "5".

ROUTEUR_1 station

[root@ROUTEUR_1 vlan]# lspci -s 01:05 -m -nn -vv
Device: 01:05.0
Class:  Ethernet controller [0200]
Vendor: Atheros Communications, Inc. [168c]
Device: AR5212/AR5213 Multiprotocol MAC/baseband processor [0013]
SVendor:        Atheros Communications, Inc. [168c]
SDevice:        TRENDnet TEW-443PI Wireless PCI Adapter [2051]
Rev:    01


[root@ROUTEUR_1 vlan]# iwconfig ath0
ath0      IEEE 802.11g  ESSID:"vlanqos31"  Nickname:"ROUTEUR_1"
          Mode:Managed  Frequency:2.447 GHz  Access Point: 00:1C:B0:EA:4B:B0
          Bit Rate:54 Mb/s   Tx-Power:18 dBm   Sensitivity=1/1
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=45/70  Signal level=-50 dBm  Noise level=-95 dBm
          Rx invalid nwid:1954727  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


[root@ROUTEUR_1 vlan]#iwconfig -v
iwconfig  Wireless-Tools version 29
          Compatible with Wireless Extension v11 to v22.

Kernel    Currently compiled with Wireless Extension v22.

ath0      Recommend Wireless Extension v13 or later,
          Currently compiled with Wireless Extension v22.


[root@ROUTEUR_1 vlan]#iwconfig ath0 retry 10
Error for wireless request "Set Retry Limit" (8B28) :
    SET failed on device ath0 ; Operation not supported.

[root@ROUTEUR_1 vlan]# iwconfig ath0 retry lifetime 300m
Error for wireless request "Set Retry Limit" (8B28) :
    invalid argument "300m".

[root@ROUTEUR_1 vlan]# iwconfig ath0 retry min limit 5
Error for wireless request "Set Retry Limit" (8B28) :
    invalid argument "5".

Change History

02/25/08 11:15:35 changed by mrenzmann

  • priority changed from major to minor.
  • type changed from defect to enhancement.
  • description changed.
  • summary changed from Error setting retry parameter on ATHEROS AR5212/AR5213 to Support for retry configuration.

AFAIK retries are not implemented and hardware retries are not configurable, hence the command iwconfig X retry Y is not expected to work. Which makes this more of a feature request rather than a bug.

However, please note that MadWifi has been declared legacy, hence it's not very likely that the necessary changes for this feature request will be implemented by anyone of the madwifi.org core team.

(follow-up: ↓ 3 ) 10/21/08 20:46:41 changed by lnkmails@gmail.com

I am a researcher and running few experiments with Madwifi. There is a MACRO ATH_TXMAXTRY in ./ath/if_athvar.h which selects the number of retries when rate selection algorithms are not used. Here are my questions then:

1. "AFAIK retries are not implemented and hardware retries are not configurable, hence the command iwconfig X retry Y is not expected to work".

--> Does this mean that setting the macro ATH_TXMAXTRY will not change anything. Actually I set ATH_TXMAXTRY to 0 thinking there will be no transmissions but I see the same throughput as when ATH_TXMAXTRY is 11. This means that ATH_TXMAXTRY is never used.

2. If I use iwconfig ath0 rate 11M and use a fixed rate, does it use the fixed rate or will it still use rate selection algorithms.

(in reply to: ↑ 2 ) 10/22/08 06:22:45 changed by mrenzmann

  • pending changed.

Replying to lnkmails@gmail.com:

Here are my questions then:

You should ask such questions on the madwifi-devel mailing list. Our bug tracker is not the appropriate place for them.